Bug 129138 - [PATCH] devel/py-mwlib: update to 0.8.5
Summary: [PATCH] devel/py-mwlib: update to 0.8.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Li-Wen Hsu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-11-24 16:40 UTC by Yi-Jheng Lin
Modified: 2008-11-30 19:10 UTC (History)
1 user (show)

See Also:


Attachments
py-mwlib-0.8.5.patch (10.09 KB, patch)
2008-11-24 16:40 UTC, Yi-Jheng Lin
no flags Details | Diff
patch-py25-mwlib.diff (10.19 KB, patch)
2008-11-25 05:19 UTC, Yi-Jheng Lin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yi-Jheng Lin 2008-11-24 16:40:05 UTC
- Update to 0.8.5
- Take advantages from the MASTER_SITES Abrrev 'CHEESESHOP'

Port maintainer (wenheping@gmail.com) is cc'd.

Generated with FreeBSD Port Tools 0.77
Comment 1 Edwin Groothuis freebsd_committer 2008-11-24 16:40:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lwhsu

lwhsu@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2008-11-24 16:40:17 UTC
Maintainer of devel/py-mwlib,

Please note that PR ports/129138 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/129138

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2008-11-24 16:40:19 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Yi-Jheng Lin 2008-11-25 05:19:31 UTC
The latest version 0.6c9 of setuptools will add a new file 'native_libs.txt' to EGG-INFO.
This was not included in the pkg-plist. The new patch fixed it.

Furthermore, the setup.py will check if PIL installed at build-time and print error messages.
So I also update Makefile to fix it.

Please check the attachment for the new patch.

Best Regards,
yzlin
Comment 5 wenheping 2008-11-25 05:48:22 UTC
I approve.
Thanks.

wen

On Tue, Nov 25, 2008 at 8:40 AM, Edwin Groothuis <edwin@freebsd.org> wrote:

> Maintainer of devel/py-mwlib,
>
> Please note that PR ports/129138 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/129138
>
> --
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
>
Comment 6 Pav Lucistnik freebsd_committer 2008-11-30 18:16:54 UTC
State Changed
From-To: feedback->open

Maintainer has approved
Comment 7 dfilter service freebsd_committer 2008-11-30 19:00:01 UTC
lwhsu       2008-11-30 18:59:52 UTC

  FreeBSD ports repository

  Modified files:
    devel/py-mwlib       Makefile distinfo pkg-plist 
  Log:
  - Update to 0.8.5
  - Take advantages of 'CHEESESHOP'
  
  PR:             ports/129138
  Submitted by:   Yi-Jheng Lin <yzlin AT cs.nctu.edu.tw>
  Approved by:    "wen heping" <wenheping AT gmail.com>
  
  Revision  Changes    Path
  1.5       +10 -8     ports/devel/py-mwlib/Makefile
  1.5       +3 -3      ports/devel/py-mwlib/distinfo
  1.5       +46 -34    ports/devel/py-mwlib/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Li-Wen Hsu freebsd_committer 2008-11-30 19:00:04 UTC
State Changed
From-To: open->closed

Committed. Thanks!